#include "Effect.h"

Effect::Effect(float duration)
	:duration(duration)
{
}

void Effect::Update(float dt)
{
	if (isActivate)
	{
		totalTime += dt;
		while (totalTime >= duration)
		{
			isActivate = false;
			totalTime -= duration;
		}
	}
}

bool Effect::IsActive()
{
	return isActivate;
}

void Effect::Activate()
{
	isActivate = true;
}
